<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RTransformationProfile StructType
 * @subpackage Structs
 */
class RTransformationProfile extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The nationalStripDigits
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $nationalStripDigits;
    /**
     * The internationalStripDigits
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $internationalStripDigits;
    /**
     * The unknownStripDigits
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $unknownStripDigits;
    /**
     * The subscriberStripDigits
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $subscriberStripDigits;
    /**
     * The nationalPrefix
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 16
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $nationalPrefix;
    /**
     * The internationalPrefix
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 16
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $internationalPrefix;
    /**
     * The unknownPrefix
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 16
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $unknownPrefix;
    /**
     * The subscriberPrefix
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 16
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $subscriberPrefix;
    /**
     * The nationalCssName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $nationalCssName;
    /**
     * The internationalCssName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $internationalCssName;
    /**
     * The unknownCssName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $unknownCssName;
    /**
     * The subscriberCssName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $subscriberCssName;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RTransformationProfile
     * @uses RTransformationProfile::setName()
     * @uses RTransformationProfile::setDescription()
     * @uses RTransformationProfile::setNationalStripDigits()
     * @uses RTransformationProfile::setInternationalStripDigits()
     * @uses RTransformationProfile::setUnknownStripDigits()
     * @uses RTransformationProfile::setSubscriberStripDigits()
     * @uses RTransformationProfile::setNationalPrefix()
     * @uses RTransformationProfile::setInternationalPrefix()
     * @uses RTransformationProfile::setUnknownPrefix()
     * @uses RTransformationProfile::setSubscriberPrefix()
     * @uses RTransformationProfile::setNationalCssName()
     * @uses RTransformationProfile::setInternationalCssName()
     * @uses RTransformationProfile::setUnknownCssName()
     * @uses RTransformationProfile::setSubscriberCssName()
     * @uses RTransformationProfile::setUuid()
     * @param string $name
     * @param string $description
     * @param string $nationalStripDigits
     * @param string $internationalStripDigits
     * @param string $unknownStripDigits
     * @param string $subscriberStripDigits
     * @param string $nationalPrefix
     * @param string $internationalPrefix
     * @param string $unknownPrefix
     * @param string $subscriberPrefix
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $nationalCssName
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $internationalCssName
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $unknownCssName
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $subscriberCssName
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $nationalStripDigits = null, $internationalStripDigits = null, $unknownStripDigits = null, $subscriberStripDigits = null, $nationalPrefix = null, $internationalPrefix = null, $unknownPrefix = null, $subscriberPrefix = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $nationalCssName = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $internationalCssName = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $unknownCssName = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $subscriberCssName = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setNationalStripDigits($nationalStripDigits)
            ->setInternationalStripDigits($internationalStripDigits)
            ->setUnknownStripDigits($unknownStripDigits)
            ->setSubscriberStripDigits($subscriberStripDigits)
            ->setNationalPrefix($nationalPrefix)
            ->setInternationalPrefix($internationalPrefix)
            ->setUnknownPrefix($unknownPrefix)
            ->setSubscriberPrefix($subscriberPrefix)
            ->setNationalCssName($nationalCssName)
            ->setInternationalCssName($internationalCssName)
            ->setUnknownCssName($unknownCssName)
            ->setSubscriberCssName($subscriberCssName)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTransformationProfile
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTransformationProfile
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get nationalStripDigits value
     * @return string|null
     */
    public function getNationalStripDigits()
    {
        return $this->nationalStripDigits;
    }
    /**
     * Set nationalStripDigits value
     * @param string $nationalStripDigits
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTransformationProfile
     */
    public function setNationalStripDigits($nationalStripDigits = null)
    {
        $this->nationalStripDigits = $nationalStripDigits;
        return $this;
    }
    /**
     * Get internationalStripDigits value
     * @return string|null
     */
    public function getInternationalStripDigits()
    {
        return $this->internationalStripDigits;
    }
    /**
     * Set internationalStripDigits value
     * @param string $internationalStripDigits
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTransformationProfile
     */
    public function setInternationalStripDigits($internationalStripDigits = null)
    {
        $this->internationalStripDigits = $internationalStripDigits;
        return $this;
    }
    /**
     * Get unknownStripDigits value
     * @return string|null
     */
    public function getUnknownStripDigits()
    {
        return $this->unknownStripDigits;
    }
    /**
     * Set unknownStripDigits value
     * @param string $unknownStripDigits
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTransformationProfile
     */
    public function setUnknownStripDigits($unknownStripDigits = null)
    {
        $this->unknownStripDigits = $unknownStripDigits;
        return $this;
    }
    /**
     * Get subscriberStripDigits value
     * @return string|null
     */
    public function getSubscriberStripDigits()
    {
        return $this->subscriberStripDigits;
    }
    /**
     * Set subscriberStripDigits value
     * @param string $subscriberStripDigits
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTransformationProfile
     */
    public function setSubscriberStripDigits($subscriberStripDigits = null)
    {
        $this->subscriberStripDigits = $subscriberStripDigits;
        return $this;
    }
    /**
     * Get nationalPrefix value
     * @return string|null
     */
    public function getNationalPrefix()
    {
        return $this->nationalPrefix;
    }
    /**
     * Set nationalPrefix value
     * @param string $nationalPrefix
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTransformationProfile
     */
    public function setNationalPrefix($nationalPrefix = null)
    {
        $this->nationalPrefix = $nationalPrefix;
        return $this;
    }
    /**
     * Get internationalPrefix value
     * @return string|null
     */
    public function getInternationalPrefix()
    {
        return $this->internationalPrefix;
    }
    /**
     * Set internationalPrefix value
     * @param string $internationalPrefix
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTransformationProfile
     */
    public function setInternationalPrefix($internationalPrefix = null)
    {
        $this->internationalPrefix = $internationalPrefix;
        return $this;
    }
    /**
     * Get unknownPrefix value
     * @return string|null
     */
    public function getUnknownPrefix()
    {
        return $this->unknownPrefix;
    }
    /**
     * Set unknownPrefix value
     * @param string $unknownPrefix
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTransformationProfile
     */
    public function setUnknownPrefix($unknownPrefix = null)
    {
        $this->unknownPrefix = $unknownPrefix;
        return $this;
    }
    /**
     * Get subscriberPrefix value
     * @return string|null
     */
    public function getSubscriberPrefix()
    {
        return $this->subscriberPrefix;
    }
    /**
     * Set subscriberPrefix value
     * @param string $subscriberPrefix
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTransformationProfile
     */
    public function setSubscriberPrefix($subscriberPrefix = null)
    {
        $this->subscriberPrefix = $subscriberPrefix;
        return $this;
    }
    /**
     * Get nationalCssName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getNationalCssName()
    {
        return $this->nationalCssName;
    }
    /**
     * Set nationalCssName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $nationalCssName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTransformationProfile
     */
    public function setNationalCssName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $nationalCssName = null)
    {
        $this->nationalCssName = $nationalCssName;
        return $this;
    }
    /**
     * Get internationalCssName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getInternationalCssName()
    {
        return $this->internationalCssName;
    }
    /**
     * Set internationalCssName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $internationalCssName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTransformationProfile
     */
    public function setInternationalCssName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $internationalCssName = null)
    {
        $this->internationalCssName = $internationalCssName;
        return $this;
    }
    /**
     * Get unknownCssName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getUnknownCssName()
    {
        return $this->unknownCssName;
    }
    /**
     * Set unknownCssName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $unknownCssName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTransformationProfile
     */
    public function setUnknownCssName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $unknownCssName = null)
    {
        $this->unknownCssName = $unknownCssName;
        return $this;
    }
    /**
     * Get subscriberCssName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getSubscriberCssName()
    {
        return $this->subscriberCssName;
    }
    /**
     * Set subscriberCssName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $subscriberCssName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTransformationProfile
     */
    public function setSubscriberCssName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $subscriberCssName = null)
    {
        $this->subscriberCssName = $subscriberCssName;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RTransformationProfile
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
